# Installation
> `npm install --save @types/leaflet-fullscreen`

# Summary
This package contains type definitions for leaflet-fullscreen (https://github.com/Leaflet/Leaflet.fullscreen).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/leaflet-fullscreen.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/leaflet-fullscreen/index.d.ts)
````ts
import * as L from "leaflet";

declare module "leaflet" {
    interface MapOptions {
        fullscreenControl?: true | FullscreenControlOptions | undefined;
    }

    interface FullscreenControlOptions extends ControlOptions {
        pseudoFullscreen?: boolean;
        title?: {
            "false": string;
            "true": string;
        };
    }

    interface Map {
        isFullscreen: () => boolean;
        toggleFullscreen: (options?: FullscreenControlOptions) => void;
    }
}

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 09:09:38 GMT
 * Dependencies: [@types/leaflet](https://npmjs.com/package/@types/leaflet)

# Credits
These definitions were written by [Denis Carriere](https://github.com/DenisCarriere), and [Brian Jubelirer](https://github.com/bjubes).
