# Installation
> `npm install --save @types/leaflet-rotatedmarker`

# Summary
This package contains type definitions for leaflet-rotatedmarker (https://github.com/bbecquet/Leaflet.RotatedMarker).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/leaflet-rotatedmarker.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/leaflet-rotatedmarker/index.d.ts)
````ts
import * as L from "leaflet";

declare module "leaflet" {
    interface MarkerOptions {
        rotationAngle?: number | undefined; // Rotation angle, in degrees, clockwise. (Default = 0)
        rotationOrigin?: string | undefined; // The rotation center, as a transform-origin CSS rule. (Default = 'bottom center')
    }

    interface Marker {
        /*
         * Sets the rotation angle value.
         */
        setRotationAngle(newAngle: number): this;

        /**
         * Sets the rotation origin value.
         */
        setRotationOrigin(newOrigin: string): this;
    }
}

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 09:09:38 GMT
 * Dependencies: [@types/leaflet](https://npmjs.com/package/@types/leaflet)

# Credits
These definitions were written by [Robert Prib](https://github.com/robert-prib-polestar).
