# Installation
> `npm install --save @types/leaflet.awesome-markers`

# Summary
This package contains type definitions for leaflet.awesome-markers (https://github.com/sigma-geosistemas/leaflet.awesome-markers).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/leaflet.awesome-markers.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/leaflet.awesome-markers/index.d.ts)
````ts
import * as Leaflet from "leaflet";

declare module "leaflet" {
    namespace AwesomeMarkers {
        const version: string;

        interface AwesomeMarkersIconOptions extends BaseIconOptions {
            /**
             * Name of the icon. See glyphicons or font-awesome.
             */
            icon?: string | undefined;

            /**
             * Select de icon library. 'fa' for font-awesome or 'glyphicon' for bootstrap 3.
             */
            prefix?: "fa" | "glyphicon" | undefined;

            /**
             * Color of the marker
             */
            markerColor?:
                | "red"
                | "darkred"
                | "orange"
                | "green"
                | "darkgreen"
                | "blue"
                | "purple"
                | "darkpurple"
                | "cadetblue"
                | undefined;

            /**
             * Color of the icon. 'white', 'black' or css code (hex, rgba etc).
             */
            iconColor?: "white" | "black" | string | undefined;

            /**
             * Make the icon spin. true or false. Font-awesome required
             */
            spin?: boolean | undefined;

            /**
             * Additional classes in the created tag
             */
            extraClasses?: string | undefined;
        }

        function icon(options: AwesomeMarkersIconOptions): Icon;

        class Icon extends Leaflet.Icon<AwesomeMarkersIconOptions> {
            constructor(options?: AwesomeMarkersIconOptions);
        }
    }
}

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 20:08:00 GMT
 * Dependencies: [@types/leaflet](https://npmjs.com/package/@types/leaflet)

# Credits
These definitions were written by [Marcel Sebek](https://github.com/sebek64).
